
/*!
	@file	CGLCell.h
	@brief	GL cell class
*/

#ifndef __H_CGLCELL__
#define __H_CGLCELL__

#include <QGLWidget>
#include "constant.h"
#include "matrix.h"
#include "CCell.h"

namespace ddv {

class CGLCell {
public:
	CGLCell();

	bool drawCell( CCell *pcell );
	bool drawLineage( CCell *pcellParent, CCell *pcell );
	bool drawName( CCell *pcell, matrix *pmatToCameraRotate );
	bool drawOutline( CCell *pcell );

	inline void setTextures( int nIndex, GLuint nTexture ) {
		m_nTextures[ nIndex ] = nTexture;
	};

protected:
	GLUquadricObj *m_quadObj;
	inline GLUquadricObj *getQuadObj() {
		if ( !m_quadObj ) {
			m_quadObj = gluNewQuadric();
		}
		return m_quadObj;
	};
	static float m_pfOutlineTable[];
	GLuint m_nTextures[ 1 ];
};

} // namespace ddv

#endif // __H_CGL_CELL__

