
/*!
	@file	COutline.h
	@brief	outline class
*/

#ifndef __H_COUTLINE__
#define __H_COUTLINE__

#include <string>
#include "int3.h"

using namespace std;

namespace ddv {

class COutline: public int3 {
public:
	COutline() {};
	COutline( int3 n3pos, string outline )
		: int3( n3pos ), m_sOutline( outline ) {};
	COutline( int x, int y, int z, string outline )
		: int3( x, y, z ), m_sOutline( outline ) {};

	void operator =( COutline outline ) {
		m_sOutline = outline.m_sOutline;
	};

	inline string getOutline() {
		return m_sOutline;
	};

protected:
	string m_sOutline;
};

} // ddv

#endif // __H_COUTLINE__

