
/*!
	@file	CQDataset.h
	@brief	dataset input/output class
*/

#ifndef __H_CQDATASET_IO__
#define __H_CQDATASET_IO__

#include <string>
#include "CDataset.h"

using namespace std;

namespace ddv {

class CQDataset_io: public CDataset {
public:
	CQDataset_io() {};

	bool loadLineage( const char *pcLineageFile );
	bool loadROI( const char *pcROIFile );
	bool loadLineageAndROI( const char *pcLineageFile, const char *pcROIFile );

	inline string getErrorString() {
		return m_sErrorString;
	};

	inline void setAverageFocalPlane( float f ) {
		m_fAverageFocalPlane = f;
	};

	bool appendCell( CCell &cell, int nTimePoint );

protected:
	inline void setLineageExists( bool bExists ) {
		m_bLineageExists = bExists;
	};
	inline void setCellNameExists( bool bExists ) {
		m_bCellNameExists = bExists;
	};
	inline void setROIExists( bool bExists ) {
		m_bROIExists = bExists;
	};

	string m_sErrorString;
};

} // namespace ddv

#endif // __H_CQDATASET_IO__

