
#ifndef __H_DLGCONTROLPANEL__
#define __H_DLGCONTROLPANEL__

#include <QDialog>
#include <QCloseEvent>
//#include "ui_wdtControlPanel.h"
#include "wdtControlPanel.h"

namespace ddv {

class dlgControlPanel: public QDialog {

	Q_OBJECT

public:
	dlgControlPanel( QWidget *parent = 0 ): QDialog( parent
		, Qt::Tool | Qt::MSWindowsFixedSizeDialogHint
							 | Qt::WindowSystemMenuHint | Qt::WindowTitleHint) {
		pcontrolpanel = new wdtControlPanel( this );
		pcontrolpanel->pbtnFloatControlPanel->hide();
		playout = new QVBoxLayout( this );
		playout->setContentsMargins( 0, 0, 0, 0 );
		playout->setSpacing( 0 );
		playout->addWidget( pcontrolpanel );
		resize( 440, 105 );
		QSizePolicy sizePolicy( QSizePolicy::Fixed, QSizePolicy::Fixed );
		sizePolicy.setHorizontalStretch( 0 );
		sizePolicy.setVerticalStretch( 0 );
		setSizePolicy( sizePolicy );
	}
	void closeEvent( QCloseEvent *event ) {
		hide();
		event->ignore();
		emit hided();
	}

	QVBoxLayout *playout;
	wdtControlPanel *pcontrolpanel;

signals:
	void hided();
};

} // namespace ddv

#endif  // __H_DLGCONTROLPANEL__

